Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libdvdcss
Version:	1.2.9
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.videolan.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Library for accessing DVDs like block devices with transparent decryption.

%description
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability: currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98/ME, Windows NT/2000/XP, MacOS X,
   Solaris, HP-UX and OS/2.
 * Adaptability: unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set and will try its best to read from the disc
   even in the case of a region mismatch.
 * Simplicity: a DVD player can be built around the libdvdcss API using no
   more than 6 library calls.
For more details see: http://www.videolan.org

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
				--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS 
%_libdir/*.so.2.0.8

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.2
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 12 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.9-1
- update to Version 1.2.9, changing group to System/Libraries
